srecord: srecord::quit_exception Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::quit_exception Class Reference

The quit_exception class is use to represent a quit handler which throws an exception, rather than call global exit. More...

`#include <exception.h>`

Inheritance diagram for srecord::quit_exception:
[legend]
Collaboration diagram for srecord::quit_exception:
[legend]

## Classes
class | vomit
| the vomit class is used for the throw. More...

## Public Member Functions
virtual | ~quit_exception ()
| The destructor.
| quit_exception ()
| The default constructor.
Public Member Functions inherited from srecord::quit
virtual | ~quit ()
| The destructor.
| quit ()
| The default constructor.
| quit (const quit &)
| The copy constructor.
quit & | operator= (const quit &)
| The assignment operator.
virtual void | fatal_error (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error method is used to report fatal errors.
virtual void virtual void | fatal_error_v (const char *, va_list)
| The fatal_error_v method is used to report fatal errors.
virtual void | fatal_error_errno (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error_errno method is used to report fatal errors, and append the string equivalent of errno.
virtual void virtual void | fatal_error_errno_v (const char *, va_list)
| The fatal_error_errno_v method is used to report fatal errors.
virtual void | warning (const char *fmt,...) FORMAT_PRINTF(2
| The warning method is used to likely but non-fatal errors.
virtual void virtual void | warning_v (const char *, va_list)
| The warning_v method is used to report likely but non-fatal errors.
virtual void | message (const char *fmt,...) FORMAT_PRINTF(2
| The message method is used to send an error message to a suitable destination.

## Protected Member Functions
virtual void | exit (int n)
| The exit method is used to terminate execution.
virtual void | message_v (const char *fmt, va_list)
| The message_v method is used to send an error message to a suitable destination.

## Detailed Description

The quit_exception class is use to represent a quit handler which throws an exception, rather than call global exit.

Definition at line 31 of file exception.h.

## Constructor & Destructor Documentation

## ◆ ~quit_exception()

virtual srecord::quit_exception::~quit_exception | ( |  | ) |
| virtual

The destructor.

## ◆ quit_exception()

srecord::quit_exception::quit_exception | ( |  | ) |

The default constructor.

Referenced by message_v().

## Member Function Documentation

## ◆ exit()

virtual void srecord::quit_exception::exit | ( | int |  | ) |
| protectedvirtual

The exit method is used to terminate execution.

It could call the global exit function, or it could throw an exception, or some other action, but it shall NOT return. Derived classes are required to supply this method.

Implements srecord::quit.

## ◆ message_v()

virtual void srecord::quit_exception::message_v | ( | const char * | ,
|  | va_list | )
| protectedvirtual

The message_v method is used to send an error message to a suitable destination.

The ‘fmt’ string is in the same style a standard C vprintf function. Derived classes are required to supply this method.

Implements srecord::quit.

References quit_exception().

The documentation for this class was generated from the following file:

- quit/exception.h